package com.yingpaipay.web.service;

import com.yingpaipay.web.domain.bo.AppletUserUpdateAvatarBo;
import com.yingpaipay.web.domain.bo.AppletUserUpdatePasswordBo;
import com.yingpaipay.web.domain.vo.AppletUserBasicInfoVo;
import com.yingpaipay.web.domain.vo.AppletUserInfoVo;

/**
 * @Author: Huanyi
 * @CreateTime: 2025-12-04
 * @Description:
 * @Version: 1.0
 */

public interface IAppletUserService {
    AppletUserInfoVo getInfo();

    AppletUserBasicInfoVo getBasicInfo();

    int updatePassword(AppletUserUpdatePasswordBo bo);

    int updateAvatar(AppletUserUpdateAvatarBo bo);
}
